$(document).ready(function(){
	$("#form-resultados").submit(function(event){
		var rut = $("#rut").val();
		var regex = /^[1-9]{1}([0-9]{0,9}[-][0-9|K|k]{1})$/;
		if(!regex.test(rut)){
			alert('Ingrese un RUT válido por favor');
			event.preventDefault();			
		}else{
			datos = $(this).serialize();
			$('#resultados').hide();
			$('.cargando').fadeIn();
			$.ajax({
				data: datos,
	    		url: "resultados.php",
	    		type: "post",
	            success: function(response) {
	            if (response == 0){
	           		alert('Correo no enviado con exito, vuelva a intentarlo.');
	           		event.preventDefault();
	            }
	            else{
	            	$('.cargando').fadeOut();
	            	$("#respuesta").prepend(response);
	            	$("#respuesta").delay(1000).fadeIn();
	            	$('#rut').val("");
	            }
	        },
				error: function(response) {
			    	alert('La conexion con el servidor fallo. Vuelva a intentarlo...');
				}
	        });
		}
		event.preventDefault();
	});

	$('#volver').click(function(e){
       	$("#respuesta").fadeOut();
       	$('#resultados').delay(1000).fadeIn();		
       	$("#respuesta #tabla-res").remove();
		e.preventDefault();
	});

});